Subject: bug#55041: 28.1; repeat-mode always prints message when enabled

From: Juri Linkov <[email-masked]>
Date: Mon, 20 Jun 2022 19:51:05 +0300

>>> But if the majority will prefer to remove it, then I could commit such
>>> a patch.  So we need just one additional vote that supports this
>>> change :)
>>
>> I vote for keeping the message, but I have no strong opinion.
>
> Why though?  How does it help me as a user?  And if I do need this
> information for some reason, why can't I just flip the mode off and on
> again?

Every minor mode displays a message, e.g.:

  M-x delete-selection-mode
  Delete-Selection mode enabled

  M-x electric-pair-mode
  Electric-Pair mode enabled

  ...
  ...

repeat-mode just adds more useful information to such messages.